#!/usr/bin/env python

"""Include main function to convert Freeplane generated markdown.

License:
    MIT License
    Copyright (c) 2024 François Pelletier
"""


import sys

from markdown_fix_freeplane.markdown_utils import replace_title_with_list


# %% main function


def __main__():
    """Run the script.

    Args:
        sys.argv (list): list of command line arguments passed to the script.

    Returns:
        str: the processed Markdown text.
    ---

    Examples:
        >>> __main__()
    ---

    """
    # read file passed as argument
    with open(sys.argv[1], 'r') as my_file:
        text = my_file.read()
    return replace_title_with_list(text)
